%define python_sitelib %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib()')

Name:           wammu
Version:        0.19
Release:        1%{?distv}
Summary:        Mobile Phone Manager - Gammu GUI

Group:          Applications/Communications
License:	GPL 
URL:            http://wammu.eu/
Source0:        ftp://dl.cihar.com/wammu/latest/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:  python-devel, python-gammu, gettext
BuildRequires:	wxPython-devel, desktop-file-utils
Requires:       gammu, python-gammu

%description
Wammu is mobile phone manager running on Linux,
Windows and possibly other platforms,where Gammu and wxPython works.
The communication is made by Gammu library. Currently supported features:

* complete support (can read/edit/delete/copy) for contacts, todo, calendar
* can read/create/save/send/backup smses
* sending files to phone (OBEX and Sony Ericsson phones only)
* sms composer for multi part smses 
 (currently only text and predefined bitmap/sound can be edited)
* display message including pictures and ringtones playback
* support for backup and import in various formats (vCard, iCalendar,...)
* export messages to mail (IMAP4, maildir and mailbox storages are supported)
* searching for phone
* translated into several languages
* rated as best on many software servers


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" \
python setup.py build


%install
rm -rf $RPM_BUILD_ROOT
python setup.py install \
	--skip-build  --root $RPM_BUILD_ROOT
# --record=INSTALLED_FILES

desktop-file-install --vendor ""				\
		--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
		--mode 0644					\
		--remove-category=Application			\
		$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS FAQ README NEWS
%{_bindir}/%{name}
%{_datadir}/Wammu
%{_datadir}/pixmaps/*
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1.gz
%{python_sitelib}/Wammu


%changelog
* Tue May 08 2007 Xavier Lamien < lxtnow[at]gmail.com > - 0.19-1
- Initial RPM Release.
